Retry a failed price migration item with a new notice
People only, subscriptions:change. Only a retryable failed item of a confirmed or running run (otherwise 409 price_migration_item_not_retryable): it returns to notice_pending at the next generation, and a new notice with a later effective date is sent. It never returns to notice_delivered.
/price_migrations/{run}/items/{item}/retryPeople only, subscriptions:change. Only a retryable failed item of a confirmed or running run (otherwise 409 price_migration_item_not_retryable): it returns to notice_pending at the next generation, and a new notice with a later effective date is sent. It never returns to notice_delivered.
In: header
Path Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/price_migrations/497f6eca-6276-4993-bfeb-53cbbbba6f08/items/497f6eca-6276-4993-bfeb-53cbbbba6f08/retry" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "object": "price_migration_item", "run": "198b72a7-4bca-47fe-b1be-f5a2e4bcad31", "subscription": "string", "subscription_item": "string", "old_price": "e012b4f8-2af6-4eea-9aa9-4dddefdf65de", "new_price": "942591e7-a821-417a-8bef-7bf198827007", "quantity": 1, "status": "eligible", "exclusion_reason": "trialing", "withdrawal_reason": "merchant_revert", "failure_code": "string", "retryable": true, "effective_at": "string", "generation": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}